Skip to main content

## Value

# Type Alias Value

Source

    pub type Value<'tcx> = Result<&'tcx DeadCodeLivenessSummary, ErrorGuaranteed>;

## Aliased Type§

    pub enum Value<'tcx> {
        Ok(&'tcx DeadCodeLivenessSummary),
        Err(ErrorGuaranteed),
    }

## Variants§

§

### Ok(&'tcx DeadCodeLivenessSummary)

Contains the success value

§

### Err(ErrorGuaranteed)

Contains the error value

## Layout§

Note: Unable to compute type layout, possibly due to this type having generic parameters. Layout can only be computed for concrete, fully-instantiated types.